﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Zoo.DAL.Models;
public class Animal : BaseEntity
{
    [Required]
    [MaxLength(50)]
    public string Name { get; set; }

    [Required]
    public DateTime DateOfBirth { get; set; }

    public double? Weight { get; set; }

    public Guid? ZookeeperId { get; set; }

    [ForeignKey(nameof(ZookeeperId))]
    public virtual Zookeeper Zookeper { get; set; }

    public virtual ICollection<Sponsorship> SponsoredBy { get; set; }
}

