﻿using Zoo.Infrastructure.Repository;

namespace Zoo.DAL.UnitOfWork
{
    public interface IUnitOfWork : IAsyncDisposable
    {
        public IAnimalRepository AnimalRepository { get; }

        public IZookeeperRepository ZookeeperRepository { get; }

        public ISponsorRepository SponsorRepository { get; }

        public ISponsorshipRepository SponsorshipRepository { get; }

        public Task CommitAsync();
    }
}
