﻿using Zoo.Infrastructure.Repository;

namespace Zoo.DAL.UnitOfWork
{
    public class UnitOfWork : IUnitOfWork
    {
        private ZooDbContext _dbContext;

        public IAnimalRepository AnimalRepository { get; }

        public IZookeeperRepository ZookeeperRepository { get; }

        public ISponsorRepository SponsorRepository { get; }

        public ISponsorshipRepository SponsorshipRepository { get; }

        public UnitOfWork()
        {
            _dbContext = new ZooDbContext();
            AnimalRepository = new AnimalRepository(_dbContext);
            ZookeeperRepository = new ZookeeperRepository(_dbContext);
            SponsorRepository = new SponsorRepository(_dbContext);
            SponsorRepository = new SponsorRepository(_dbContext);
        }

        public async Task CommitAsync()
        {
            await _dbContext.SaveChangesAsync();
        }

        public async ValueTask DisposeAsync()
        {
            await _dbContext.DisposeAsync();
        }
    }
}
